import { Request } from 'express';
import { MyContext, MyPubSubContext } from '../../app-base';
import { AuthToken, Rule } from './auth-type';
import { AuthBasicVerify } from './auth-type-verify';
export declare class AuthBasic {
    private static self;
    private fnVerify;
    private constructor();
    static init(fnVerify: AuthBasicVerify): void;
    verifyIdToken(authToken: AuthToken, context: Request | MyContext | MyPubSubContext, hasAbility: Rule): Promise<AuthToken>;
    static get instance(): AuthBasic;
}
