import { AccessInfo } from '../auth';
export declare class ErrorHandler {
    private static self;
    private errorUrl;
    private serviceAccessInfo;
    private constructor();
    static init(url: string, serviceAccessInfo: AccessInfo): void;
    static translate(error: any, statusCode: number, localeCode: string): Promise<{
        statusCode: number;
        code: string;
        message: string;
    }>;
    private static fallbackErrorMessage;
    private translateErrorMessage;
    private static get instance();
    static get isEnabled(): boolean;
}
